<?php

	// Standard inclusions     
	include("pChart/pData.class");  
	include("pChart/pChart.class");  

	// Dataset definition   
	$DataSet = new pData;

	$labels=array();
	$values=array();
	$data=$_GET['data'];

	for($i=1; $i<=strlen($data); $i++)
	{
		array_push($labels, $i);
		array_push($values, ord(substr($data, $i-1, 1))-97);
	}

	$DataSet->AddPoint($labels, 'labels');
	$DataSet->SetAbsciseLabelSerie('labels');
	
	$DataSet->AddPoint($values, 'values');
	$DataSet->AddSerie('values');
	$DataSet->SetSerieName(iconv('CP1251', 'UTF-8' , ' '), 'values');
  
	// Initialise the graph  
	$Test = new pChart(700,230);  
	$Test->setFontProperties("Fonts/tahoma.ttf",10);  
	$Test->setGraphArea(40,30,680,200);  
	$Test->drawGraphArea(252,252,252);  
	$Test->drawScale($DataSet->GetData(),$DataSet->GetDataDescription(),SCALE_START0,0,0,0,TRUE,0,2);  
	$Test->drawGrid(4,TRUE,230,230,230,255);  

	// Draw the line graph  
	$Test->drawLineGraph($DataSet->GetData(),$DataSet->GetDataDescription());  
	$Test->drawPlotGraph($DataSet->GetData(),$DataSet->GetDataDescription(),3,2,255,255,255);  
  
	// Finish the graph  
	$Test->setFontProperties("Fonts/tahoma.ttf",8);  
	$Test->drawLegend(45,35,$DataSet->GetDataDescription(),255,255,255);  
	$Test->setFontProperties("Fonts/tahoma.ttf",10);  
	$Test->drawTitle(60,22, iconv('CP1251', 'UTF-8' , '   , '),0,0,0,585);  
	$Test->Stroke();
	
?>